Subject: msvc dll / LoadLibrary and GDB
From: [email-masked] (Bijan Tuysserkani)

22 Jul 1997 19:25:31 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: Windows Eudora Pro Version 3.0.1 (32)
Original-To: [email-masked]
In-Reply-To: <[email-masked]
 v>
Original-Sender: [email-masked]

Hi,

I try to implement a remote extension for GDB and use 
a DLL (produced with msvc) for the windows functionality.

These are my steps so far :

1.) I have foo.dll, foo.def
2.) build foo.a with dlltool --def foo.def --dllname foo.dll --output-lib
foo.a
3.) gcc -o test_prg test_prg.c foo.a

This compiles fine, but when I try to run it I get a memory reference error 
from windows NT. I ran it under GDB and Windows gives me that error when
the dll library gets implicitly loaded.

So I used an alternative :

1.) Use LoadLibrary to load the dll explicitly
2.) Use GetProcAddress to get function pointers to the dll-functions

That works fine for my test_prg.c, but if I include that in the remote-xxx.c 
of my GDB extension, GDB will work fine, execute the right functions correct
and hang up if you try to leave GDB. I do only have to use LoadLibrary to 
make GDB hang after typing 'quit'.

Does anybody have any comments or solutions to the stuff above?

Thanks in advance,
	Bijan
                                                          /\
                                                  .  /\  /  \
------------------------------------------------ / \/  \/    \
Bijan Tuysserkani                               /      /      \
Qualcomm Inc.                                                  \
5450 Western Ave.                             
Boulder, CO  80301                        (303) 473-6852 (voice)
[email-masked]                     (303) 473-6665 (fax)

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".